/** @jsx jsx */
import { Link } from "gatsby"
import { jsx, useColorMode } from "theme-ui"
import replaceSlashes from "../utils/replaceSlashes"
import useSiteMetadata from "../hooks/use-site-metadata"
import useMinimalBlogConfig from "../hooks/use-minimal-blog-config"

const HeaderTitle = () => {
  const { siteTitle } = useSiteMetadata()
  const { siteImage } = useSiteMetadata()
  const { siteDarkImage} = useSiteMetadata()
  const { basePath } = useMinimalBlogConfig()
  const [colorMode, setColorMode] = useColorMode()
  const islight = colorMode === `light`

  return (
    <Link
      to={replaceSlashes(`/${basePath}`)}
      aria-label={`${siteTitle} - Back to home`}
    >
      <img sx={{ mt:3 }} src={(islight ? siteImage : siteDarkImage )}/>
    </Link>
  )
}

export default HeaderTitle

